Bug 867854 - auth_builtin auth_domain auth_sam and auth_winbind are built as shared modules.
auth_builtin auth_domain auth_sam and auth_winbind are built as shared modules.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba4 (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andreas Schneider
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 08:31 EDT by Andreas Schneider
Modified: 2013-02-21 03:36 EST (History)
2 users (show)

See Also:
Fixed In Version: samba4-4.0.0-36.el6.rc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 03:36:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Schneider 2012-10-18 08:31:10 EDT
Description of problem:

auth_builtin auth_domain auth_sam and auth_winbind modules are not allowed to be built as shared modules. They need to be linked into smbd statically. We addressed this upstream for 4.0 to fail if they are built as modules, see:

https://bugzilla.samba.org/show_bug.cgi?id=9295

and we will cleanup this completely later to don't give a choice. Build as much as possible as shared module. See

https://bugzilla.samba.org/show_bug.cgi?id=9302


However the spec file needs to be changed to not build auth_builtin auth_domain auth_sam and auth_winbind as shared modules.
Comment 2 Namita Soman 2013-01-28 21:48:33 EST
please provide steps to verify
Comment 3 Andreas Schneider 2013-01-29 08:54:47 EST
[global]
workgroup = TESTGROUP
security = share

[myfiles]
path = /srv/samba/files
read only = no
guest ok = yes


And then I get:
$ smbclient \\\\localhost\\myfiles
Enter asn's password: 
session setup failed: NT_STATUS_LOGON_FAILURE

The log says:
Oct 16 13:57:22 fatty smbd[25498]: [2012/10/16 11:57:22.925829,  0]
../source3/auth/auth.c:380(load_auth_module)
Oct 16 13:57:22 fatty smbd[25498]:   load_auth_module: can't find auth method
guest!

Compiling auth_builtin into smbd, what we do now, fixes the problem. More information can be found if you search for 'auth methods' in the smb.conf manpage. Let me know if you need more help for testing.
Comment 4 Andreas Schneider 2013-01-29 09:02:29 EST
A sanity only check, would be to check that there are no builtin.so winbind.so and domain.so in /usr/lib/samba/auth.
Comment 5 Namita Soman 2013-01-29 14:04:48 EST
Verified on 64bit using steps:
# ls /usr/lib64/samba/auth/
script.so  unix.so  wbc.so
Comment 6 errata-xmlrpc 2013-02-21 03:36:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0506.html

Note You need to log in before you can comment on or make changes to this bug.